Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 648016 - app-crypt/efitools-1.7.0 with >=dev-libs/openssl-1.1.0 - cert-to-efi-hash-list.c:138:35: error: dereferencing pointer to incomplete type ‘X509 {aka struct x509_st}’
Summary: app-crypt/efitools-1.7.0 with >=dev-libs/openssl-1.1.0 - cert-to-efi-hash-lis...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Matthias Maier
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: openssl-1.1 openssl-1.1_disable-deprecated
  Show dependency tree
 
Reported: 2018-02-18 16:04 UTC by Quentin Minster
Modified: 2018-10-24 16:27 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (file_648016.txt,220.01 KB, text/plain)
2018-02-18 16:04 UTC, Quentin Minster
Details
efitools-1.8.0-openssl-1.1.0-compat.patch (efitools-1.8.0-openssl-1.1.0-compat.patch,2.48 KB, patch)
2018-02-18 16:05 UTC, Quentin Minster
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Quentin Minster 2018-02-18 16:04:23 UTC
Created attachment 520036 [details]
build.log

app-crypt/efitools-1.7.0 fails to build with >=dev-libs/openssl-1.1.0, with errors regarding dereferencing pointers to incomplete types, and several warnings about using undeclared functions.

This is due to changes in OpenSSL 1.1.0: internal structures are now opaque, and a lot of functions were deprecated/removed.

Upstream has a new version (1.8.0, see [0]) with some fixes for OpenSSL 1.1.0.
However a simple version bump is not enough, there are still some calls to undeclared functions, so the build still fails.

I'm attaching below a patch against efitools-1.8.0 that restores compatibility with Gentoo's OpenSSL 1.1.0 (this has been sent upstream).


[0]: https://git.kernel.org/pub/scm/linux/kernel/git/jejb/efitools.git
Comment 1 Quentin Minster 2018-02-18 16:05:07 UTC
Created attachment 520038 [details, diff]
efitools-1.8.0-openssl-1.1.0-compat.patch
Comment 2 Conrad Kostecki gentoo-dev 2018-03-31 15:50:47 UTC
I made n PR for a version bump to 1.8.1 and added your patch also, as it compiles still fine.
Comment 3 Pacho Ramos gentoo-dev 2018-04-01 22:50:04 UTC
Do you want to proxy maintain it?
https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers

Also, does any of you have a link to track the forward of the patch to upstream? 
Thanks
Comment 4 Quentin Minster 2018-04-04 16:41:14 UTC
I finally got around to adjusting the patch as per upstream request, and resent it a few days ago. Still waiting for a reply, however I don't have any link to share since it's good ol' 1-on-1 email, there's no mailing list.

I'd be ok with being the designated proxy maintainer for this package (I already am for another package), unless Conrad wants to step in. :)
Comment 5 Conrad Kostecki gentoo-dev 2018-04-05 22:04:22 UTC
(In reply to Quentin Minster from comment #4)
> I'd be ok with being the designated proxy maintainer for this package (I
> already am for another package), unless Conrad wants to step in. :)

No, you can proxy maintain, if you wish :)
Comment 6 SpanKY gentoo-dev 2018-05-17 06:52:00 UTC
can you attach the latest patch against efitools-1.8.1 ?
Comment 7 Quentin Minster 2018-05-19 21:50:31 UTC
It doesn't need updating. The patch against efitools-1.8.0 still applies.
Comment 8 SpanKY gentoo-dev 2018-06-01 18:22:31 UTC
(In reply to Quentin Minster from comment #7)

i'm aware the patch you attached here applies on top of 1.8.0.  you said in comment #4 that you adjusted the patch per upstream requests which means the patch attached originally is not the updated one.
Comment 9 Pacho Ramos gentoo-dev 2018-07-13 13:53:16 UTC
(In reply to Conrad Kostecki from comment #2)
> I made n PR for a version bump to 1.8.1 and added your patch also, as it
> compiles still fine.

I see that the PR was merged but I don't see the openssl patch
Comment 10 Conrad Kostecki gentoo-dev 2018-07-13 13:59:01 UTC
(In reply to Pacho Ramos from comment #9)
> (In reply to Conrad Kostecki from comment #2)
> > I made n PR for a version bump to 1.8.1 and added your patch also, as it
> > compiles still fine.
> 
> I see that the PR was merged but I don't see the openssl patch

That it correct. As Quentin said in #4 that there is a newer version, the PR was without patch. I have expected, that there will be a newer one. As said also in #7.
Comment 11 Matthias Maier gentoo-dev 2018-07-23 16:22:24 UTC
Reassign efitools bugs to me.
Comment 12 Lars Wendler (Polynomial-C) gentoo-dev 2018-10-24 15:34:22 UTC
Since we decided to no longer build openssl without deprecated features, this
bug can now be considered as fixed (but will eventually reappear once openssl
upstream finally removed deprecated features from their code).